/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: TypeImpl.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.scan.impl;

import org.ow2.util.asm.Type;
import org.ow2.util.scan.api.IType;

/**
 * Type proxy.
 * @author Gael Lalire
 */
public class TypeImpl implements IType {

    /**
     * The ow2 util asm type.
     */
    private Type type;

    /**
     * @param type the ow2 util asm type.
     */
    public TypeImpl(final Type type) {
        this.type = type;
    }

    /**
     * @return the class name.
     */
    public String getClassName() {
        return type.getClassName();
    }

    /**
     * {@inheritDoc}
     */
    public String getInternalName() {
        return type.getInternalName();
    }

}
